<script setup>
import { ShowPage } from '@/app/core/pages/crud';
import model from '@/modules/shop/models/contact';

import PageTitle from '@/app/components/blocks/PageTitle.vue';
import Item from '@/app/components/crud/http/Item.vue';
</script>

<script>
export default {
    data() {
        return new ShowPage({
            context: this,
            title: this.__('Просмотр'),
            titleField: 'full_name',
            breadcrumbs: [
                {
                    label: this.__('Контакты'),
                    path: 'shop/contact',
                },
            ],
            model: model,
            http: {
                path: 'shop/contact/:id',
                query: {
                    'with[0]': 'creator',
                },
            },
        });
    },
};
</script>

<template>
    <PageTitle :text="title" />
    <Item child="show" />
</template>
